gnunet-transport(1)

NAME
gnunet-transport - measure and control the transport subsystem

SYNOPSIS
gnunet-transport [OPTIONS]

DESCRIPTION

gnunet-transport is a tool to access various functions of GNUnet's transport subsystem from the command-line. Most of these are not expected to be useful for end-users. gnunet-transport can be used to evaluate the performance of the transports, force a peer to connect to another peer (if possible). Other functions should be added in the near future.

-b, --benchmark
    measure how fast we are receiving data (from all connections). On exit, the data rate will be reported. Runs until aborted with CTRL-C.

-D, --disconnect
    force disconnection from a peer (used in conjunction with -p). Note that you can use the gnunet-ats command-line tool to suggest connects.

-c FILENAME, --config=FILENAME
    configuration file to use

-e --events
    provide information about all connect and disconnect events (continuously)

-h, --help
    print help page

-i, --information
    print information about our current connections (once)

-L LOGLEVEL, --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are ERROR, WARNING, INFO and DEBUG.

-l LOGFILE, --logfile=LOGFILE
    configure logging to write logs to LOGFILE

-m, --monitor
    print information about our current connections (continuously)

-p PEER, --peer=PEER
    the peer identity to connect to or monitor

-P, --plugins
    monitor session state of transport plugins

-s, --send
    transmit (dummy) traffic as quickly as possible to the peer specified with the -p option. The rate will still be limited by the quota(s) determined by the peers (ATS subsystem). Will run until CTRL-C is pressed or until the connection to the other peer is disrupted.

-v, --version
    print the version number

-V, --verbose
    be verbose

NOTES

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-arm(1), gnunet-ats(1)